#pragma once
#include <stdbool.h>
#include <stddef.h>

typedef struct clist {
  char **c;
  size_t s;
} clist_t;

bool  eq(char *, char *);
bool  exists(char *);
char *check_path(char *);
bool  startswith(char *, char *);
bool  endswith(const char *, const char *);
int   join(char *, const char *, const char *);
int   randint(int, int);
bool  is_dir(char *);
bool  mksubdirsp(char *, int);
bool  rmrf(char *);
bool  copyfile(char *, char *);

void clist_init(clist_t *);
void clist_from_str(clist_t *, char *);
void clist_add(clist_t *, char *);
void clist_free(clist_t *);
